Bug 510874 - PackageKit internal system error
PackageKit internal system error
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-11 17:44 EDT by Jerry James
Modified: 2009-08-21 21:01 EDT (History)
4 users (show)

See Also:
Fixed In Version: 0.4.9-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-15 05:45:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jerry James 2009-07-11 17:44:14 EDT
Description of problem:
A dialog popped up asking me to report an "internal system error".  It didn't say what to report it against, but given the backtrace, I'm guessing PackageKit.  Here's the backtrace:

Traceback (most recent call last):
  File "/usr/share/PackageKit/helpers/yum/yumBackend.py", line 2095, in get_distro_upgrades
    pkgs = self.yumbase.pkgSack.returnNewestByName(name='preupgrade')
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 649, in <lambda>
    pkgSack = property(fget=lambda self: self._getSacks(),
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 491, in _getSacks
    self.repos.populateSack(which=repos)
  File "/usr/lib/python2.6/site-packages/yum/repos.py", line 260, in populateSack
    sack.populate(repo, mdtype, callback, cacheonly)
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 162, in populate
    if self._check_db_version(repo, mydbtype):
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 220, in _check_db_version
    return repo._check_db_version(mdtype)
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1178, in _check_db_version
    repoXML = self.repoXML
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1342, in <lambda>
    repoXML = property(fget=lambda self: self._getRepoXML(),
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1338, in _getRepoXML
    raise Errors.RepoError, msg
RepoError: Cannot retrieve repository metadata (repomd.xml) for repository: updates-debuginfo. Please verify its path and try again

As a matter of fact, I do have updates-debuginfo installed.  Doing a "yum upgrade" also chokes, thusly:

# yum upgrade
Loaded plugins: refresh-packagekit
fedora/metalink                                          |  27 kB     00:00     
fedora                                                   | 3.8 kB     00:00     
fedora/primary_db                                        |  10 MB     01:30     
fedora-debuginfo/metalink                                |  21 kB     00:00     
fedora-debuginfo                                         | 2.7 kB     00:00     
fedora-debuginfo/primary_db                              | 1.2 MB     00:02     
updates/metalink                                         | 4.3 kB     00:00     
updates                                                  | 4.4 kB     00:00     
http://fedora.univ-nantes.fr/fedora.redhat.com/fedora/linux/updates/11/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
updates                                                  | 4.4 kB     00:00     
http://ftp.fi.muni.cz/pub/linux/fedora/linux/updates/11/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
updates                                                  | 4.4 kB     00:00     
http://ftp.linux.cz/pub/linux/fedora/linux/updates/11/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
ftp://ftp6.linux.cz/pub/linux/fedora/linux/updates/11/x86_64/repodata/repomd.xml: [Errno 4] IOError: <urlopen error [Errno -2] Name or service not known>
Trying other mirror.
updates                                                  | 4.4 kB     00:00     
ftp://alviss.et.tudelft.nl/pub/fedora/linux/updates/11/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
updates                                                  | 4.4 kB     00:00     
http://fedora.uib.no/fedora/linux/updates/11/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
updates                                                  | 4.4 kB     00:00     
http://ftp.df.lth.se/pub/fedora/linux/updates/11/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
updates                                                  | 4.4 kB     00:00     
http://ftp.informatik.uni-frankfurt.de/fedora/updates/11/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
updates                                                  | 4.4 kB     00:00     
http://ftp.gui.uva.es/sites/fedora.redhat.com/linux/updates/11/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
Error: Cannot retrieve repository metadata (repomd.xml) for repository: updates. Please verify its path and try again

Version-Release number of selected component (if applicable):
PackageKit-0.4.8-1.fc11.x86_64

How reproducible:
Always (today).  I expect that when the underlying repo issue is resolved, I will no longer be able to reproduce.

Steps to Reproduce:
1. Wait for PackageKit to attempt an update.
  
Actual results:
Dialog box reporting an internal system error.

Expected results:
Some more graceful way of handling hosed repo mirrors.

Additional info:
Comment 1 Richard Hughes 2009-07-15 05:45:30 EDT
commit 8831b68d8884d1cee81e29e4dbdd48a74f8d7aac
Author: Richard Hughes <richard@hughsie.com>
Date:   Wed Jul 15 10:44:12 2009 +0100

    yum: Ignore another error in checkForNewer. Fixes rh#510874
Comment 2 Fedora Update System 2009-08-03 10:33:14 EDT
PackageKit-0.4.9-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/PackageKit-0.4.9-1.fc11
Comment 3 Fedora Update System 2009-08-21 21:01:09 EDT
PackageKit-0.4.9-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.